Loading...
Searching...
No Matches
Magick::VPath Class Reference

## Public Member Functions

| VPath (const VPathBase &original_)
| VPath (const VPath &original_)
VPath & | operator= (const VPath &original_)
void | operator() (MagickCore::DrawingWand *context_) const

## Private Attributes

VPathBase * | dp

## Detailed Description

Definition at line 184 of file Drawable.h.

## Constructor & Destructor Documentation

## VPath() [1/3]

Magick::VPath::VPath | ( | void |  | ) |

Definition at line 132 of file Drawable.cpp.

: dp(0)
{
}

## VPath() [2/3]

Magick::VPath::VPath | ( | const VPathBase & | original_ | ) |

Definition at line 138 of file Drawable.cpp.

: dp(original_.copy())
{
}

## ~VPath()

Magick::VPath::~VPath | ( | void |  | ) |

virtual

Definition at line 144 of file Drawable.cpp.

{
delete dp;
dp = 0;
}

## VPath() [3/3]

Magick::VPath::VPath | ( | const VPath & | original_ | ) |

Definition at line 151 of file Drawable.cpp.

: dp(original_.dp? original_.dp->copy(): 0)
{
}

## Member Function Documentation

## operator()()

void Magick::VPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

Definition at line 169 of file Drawable.cpp.

{
if(dp)
dp->operator()( context_ );
}

## operator=()

Magick::VPath & Magick::VPath::operator= | ( | const VPath & | original_ | ) |

Definition at line 157 of file Drawable.cpp.

{
if (this != &original_)
{
VPathBase* temp_dp = (original_.dp ? original_.dp->copy() : 0);
delete dp;
dp = temp_dp;
}
return *this;
}

## Field Documentation

## dp

VPathBase* Magick::VPath::dp

private

Definition at line 206 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp